# Spec file for rhdb-utils.
# Author: Liam Stewart <liams@redhat.com>, Andrew Overholt
# <overholt@redhat.com>, Tom Lane <tgl@redhat.com>
# Copyright (C) 2002, 2003, 2004, 2005 Red Hat, Inc.

Summary: Miscellaneous utilities for PostgreSQL - Red Hat Edition.
Name: rhdb-utils
Version: 4.0
Release: 3.1AX
URL: http://sources.redhat.com/rhdb/
License: GPL
Group: Applications/Databases
BuildRoot: %{_tmppath}/%{name}-root
Buildrequires: postgresql-devel >= 8.0

Source0: http://sources.redhat.com/rhdb/tools/pg_filedump-%{version}.tar
Source1: pg_crc.c
Patch1: pg_filedump-make.patch

%description
This package contains miscellaneous, non-graphical tools developed for
PostgreSQL - Red Hat Edition.

%prep
rm -rf pg_filedump pg_filedump-%{version}
tar xf %{SOURCE0}
mv pg_filedump-%{version} pg_filedump

# We keep a copy of pg_crc.c in this SRPM so we don't need to have the
# full PostgreSQL sources at hand.
cp %{SOURCE1} pg_filedump

%patch1 -p0

%build
export CFLAGS="$RPM_OPT_FLAGS"

pushd pg_filedump
make
popd

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 pg_filedump/pg_filedump ${RPM_BUILD_ROOT}%{_bindir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/pg_filedump
%doc pg_filedump/ChangeLog pg_filedump/README.pg_filedump

%changelog
* Thu May 12 2005 Yasuma Takeda <yasuma@miraclelinux.com> 4.0-3.1AX
- rebuild for PostgreSQL v8 on Asianux 2.0

* Wed Mar  2 2005 Tom Lane <tgl@redhat.com> 4.0-3
- Rebuild for gcc4 update.

* Fri Feb 11 2005 Tom Lane <tgl@redhat.com> 4.0-2
- Adjust build to honor $RPM_OPT_FLAGS.

* Thu Feb 10 2005 Tom Lane <tgl@redhat.com> 4.0-1
- Update pg_filedump to version 4.0, to support PostgreSQL 8.0.
- Keep pg_crc.c on hand as a plain source file instead of a patch.
  Easier to compare to main PG sources that way.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Apr  5 2004 Tom Lane <tgl@redhat.com>
- Update outdated URL.

* Fri Feb 20 2004 Tom Lane <tgl@redhat.com>
- Remove beta label from pg_filedump.

* Fri Feb 20 2004 Tom Lane <tgl@redhat.com>
- Update to version 3.0.
- Increment Buildrequires to >= PostgreSQL 7.4
- Rebuild for Fedora Core 2.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Nov 21 2003 David Jee <djee@redhat.com> 2.0-2
- Remove Distribution tag.
- Rebuild for Fedora Core 1.

* Thu May 29 2003 Andrew Overholt <overholt@redhat.com>
- Bump to version 2.0.
- Modify distribution.
- Increment Buildrequires to >= PostgreSQL 7.3

* Wed Sep 11 2002 Andrew Overholt <overholt@redhat.com>
- Changed revision to 1.

* Fri Jul  8 2002 Liam Stewart <liams@redhat.com>
- Updated summary and description.

* Thu Jul  4 2002 Liam Stewart <liams@redhat.com>
- Updated Source0 entry.

* Wed Jun 26 2002 Liam Stewart <liams@redhat.com>
- Group fix.

* Mon Jun 24 2002 Liam Stewart <liams@redhat.com>
- Initial build.


